<template>
  <div class="core-value">
    <div class="bg">
      <img class="copper-man" src="@/assets/home/core_value/copper_man.gif" alt="">
    </div>
    <div class="content">
      <div class="swiper-container swiper-container-core">
        <div class="swiper-wrapper">
          <div v-for="(item,idx) in banners" :key="idx" class="swiper-slide">
            <img :src="item" alt="">
          </div>
        </div>
   
      </div>
    </div>
  </div>
</template>

<script>
import Swiper from  'swiper/swiper-bundle.js'
import 'swiper/swiper-bundle.css'

export default {
  name: 'CoreValue',
  data() {
    return {
      banners: [
        require('@/assets/home/art_subject/1.jpg'),
        require('@/assets/home/art_subject/2.jpg'),
        require('@/assets/home/art_subject/3.jpg'),
        require('@/assets/home/art_subject/4.jpg'),
        require('@/assets/home/art_subject/5.jpg'),
        require('@/assets/home/art_subject/6.jpg')

      ]
    }
  },
  mounted() {
    new Swiper('.swiper-container-core', {
      autoplay: {
        delay: 1000
      },
      loop: true,
      effect: 'coverflow',
      grabCursor: true,
      centeredSlides: true,
      slidesPerView: 'auto',
      coverflowEffect: {
        rotate: 80,
        stretch: 0,
        depth: 200,
        modifier: 1,
        slideShadows: true
      },
      pagination: {
        el: '.swiper-pagination'
      }
    });
  }
}
</script>

<style lang="scss" scoped>
@import "~@/styles/variables.scss";

.core-value {
  width: $appWidth;
  height: 40.6rem;
  position: relative;

  .bg {
    height: 40.6rem;
    background-image: url("../../../assets/home/core_value/bg.png");
    background-size: 1222px 100%;
    background-position: -22px;
    position: relative;
    overflow: hidden;

    img.copper-man {
      position: absolute;
      height: 100%;
      left: -27rem;
      z-index: 100;
    }
  }

  .content {
    position: absolute;
    right: 40px;
    bottom: 80px;
    width: 900px;
    height:300px ;

    .swiper-container {
      width: 100%;
      padding-top: 50px;
      padding-bottom: 50px;
      height: 350px;
      .swiper-slide {
        background-position: center;
        background-size: cover;
        width: 300px;
        height: 300px;
        display: flex;
        justify-content: center;
        align-items:center;
        border-radius: 5px;

        img{
          width: 100%;
          height: 100%;
        }
      }
    }
  }
}
</style>
